# Generated by Django 3.0.8 on 2020-10-16 09:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ticket', models.CharField(max_length=150, null=True)),
                ('date_added', models.DateTimeField(auto_now_add=True)),
                ('published', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['-date_added'],
            },
        ),
        migrations.CreateModel(
            name='vipTipsGame',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(max_length=200, null=True)),
                ('home_team', models.CharField(max_length=200, null=True)),
                ('home_score', models.PositiveIntegerField(default=0)),
                ('away_score', models.PositiveIntegerField(default=0)),
                ('away_team', models.CharField(max_length=200, null=True)),
                ('prediction', models.CharField(max_length=100, null=True)),
                ('odds', models.CharField(blank=True, max_length=100, null=True)),
                ('status', models.CharField(choices=[('Running', 'Running'), ('Won', 'Won'), ('Lost', 'Lost')], default='running', max_length=10)),
                ('ticket', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='sport.Ticket')),
            ],
            options={
                'ordering': ['-ticket__date_added'],
            },
        ),
        migrations.CreateModel(
            name='SingleBet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(max_length=200, null=True)),
                ('home_team', models.CharField(max_length=200, null=True)),
                ('home_score', models.PositiveIntegerField(default=0)),
                ('away_score', models.PositiveIntegerField(default=0)),
                ('away_team', models.CharField(max_length=200, null=True)),
                ('prediction', models.CharField(max_length=100, null=True)),
                ('odds', models.CharField(blank=True, max_length=100, null=True)),
                ('status', models.CharField(choices=[('Running', 'Running'), ('Won', 'Won'), ('Lost', 'Lost')], default='running', max_length=10)),
                ('ticket', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='sport.Ticket')),
            ],
            options={
                'ordering': ['-ticket__date_added'],
            },
        ),
        migrations.CreateModel(
            name='RollTipsGame',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(max_length=200, null=True)),
                ('home_team', models.CharField(max_length=200, null=True)),
                ('home_score', models.PositiveIntegerField(default=0)),
                ('away_score', models.PositiveIntegerField(default=0)),
                ('away_team', models.CharField(max_length=200, null=True)),
                ('prediction', models.CharField(max_length=100, null=True)),
                ('odds', models.CharField(blank=True, max_length=100, null=True)),
                ('status', models.CharField(choices=[('Running', 'Running'), ('Won', 'Won'), ('Lost', 'Lost')], default='running', max_length=10)),
                ('ticket', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='sport.Ticket')),
            ],
            options={
                'ordering': ['-ticket__date_added'],
            },
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(choices=[('free', 'free'), ('vip', 'vip')], default='free', max_length=10)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='FreeTipsGame',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(max_length=200, null=True)),
                ('home_team', models.CharField(max_length=200, null=True)),
                ('home_score', models.PositiveIntegerField(default=0)),
                ('away_score', models.PositiveIntegerField(default=0)),
                ('away_team', models.CharField(max_length=200, null=True)),
                ('prediction', models.CharField(max_length=100, null=True)),
                ('odds', models.CharField(blank=True, max_length=100, null=True)),
                ('status', models.CharField(choices=[('Running', 'Running'), ('Won', 'Won'), ('Lost', 'Lost')], default='running', max_length=10)),
                ('ticket', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='sport.Ticket')),
            ],
            options={
                'ordering': ['-ticket__date_added'],
            },
        ),
    ]
